Bug 1157329 - qemu-kvm: undefined symbol: glfs_discard_async
Summary: qemu-kvm: undefined symbol: glfs_discard_async
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1155518
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 03:29 UTC by ShupingCui
Modified: 2015-03-05 09:56 UTC (History)
14 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.2-7.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1155518
Environment:
Last Closed: 2015-03-05 09:56:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Comment 1 ShupingCui 2014-10-27 03:34:13 UTC
Version-Release number of selected component (if applicable):
# rpm -q qemu-img-rhev
qemu-img-rhev-2.1.2-5.el7.x86_64
# rpm -q qemu-kvm-rhev
qemu-kvm-rhev-2.1.2-5.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. launch QEMU
# /usr/libexec/qemu-kvm


Actual results:
# /usr/libexec/qemu-kvm
/usr/libexec/qemu-kvm: symbol lookup error: /usr/libexec/qemu-kvm: undefined symbol: glfs_discard_async

Expected results:
no quits

Additional info:
Not found it for qemu-kvm-rhev-2.1.2-4.el7

Comment 3 ShupingCui 2014-10-27 09:20:21 UTC
works well on glusterfs-api-3.6.0.29-2.el7.x86_64, so close it.

Comment 4 Miroslav Rezanina 2014-10-29 10:42:26 UTC
Reopen - we need to ensure package is not installed on system without updated glusterfs-api.

Comment 5 Miroslav Rezanina 2014-11-06 18:33:14 UTC
Fix included in qemu-kvm-rhev-2.1.2-7.el7

Comment 7 mazhang 2014-11-12 11:28:34 UTC
Reproduce this bug on qemu-kvm-rhev-2.1.2-6.el7 with glusterfs-3.4.0.70rhs-1.el7.x86_64 installed.

Host:
qemu-img-rhev-2.1.2-6.el7.x86_64
qemu-kvm-tools-rhev-2.1.2-6.el7.x86_64
qemu-kvm-common-rhev-2.1.2-6.el7.x86_64
qemu-kvm-rhev-debuginfo-2.1.2-6.el7.x86_64
qemu-kvm-rhev-2.1.2-6.el7.x86_64
glusterfs-3.4.0.70rhs-1.el7.x86_64
glusterfs-api-3.4.0.70rhs-1.el7.x86_64
glusterfs-libs-3.4.0.70rhs-1.el7.x86_64

Result:
# /usr/libexec/qemu-kvm 
/usr/libexec/qemu-kvm: symbol lookup error: /usr/libexec/qemu-kvm: undefined symbol: glfs_discard_async


Verify this bug with qemu-kvm-rhev-2.1.2-7.el7.x86_64

Result:
# rpm -ivh qemu-kvm-rhev-2.1.2-7.el7.x86_64.rpm
error: Failed dependencies:
	glusterfs-api >= 3.6.0 is needed by qemu-kvm-rhev-10:2.1.2-7.el7.x86_64
	qemu-img-rhev = 10:2.1.2-7.el7 is needed by qemu-kvm-rhev-10:2.1.2-7.el7.x86_64
	qemu-kvm-common-rhev = 10:2.1.2-7.el7 is needed by qemu-kvm-rhev-10:2.1.2-7.el7.x86_64

Install qemu-kvm-rhev failed, must upgrade glusterfs-api >=3.6.0.

So this bug has been fixed.

Comment 10 errata-xmlrpc 2015-03-05 09:56:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.